Supported Platforms

The CUTE plug-in works with Eclipse CDT Kepler releases (or newer).

I have tested the framework version 2.0 with the following compilers and operating systems:

Linux

  • gcc 4,8
  • gcc 4.7

Mac OS X

  • gcc 4.8 -std=c++11
  • clang (Xcode) with libc++ -std=c++11
  • gcc421 (Xcode) with Boost

Windows (7)

  • MinGW with Boost
  • VS2012 NTP
  • VS2012
  • VS2010

Other combinations are possible. C++03 should be supported fine if you have boost, either installed or the headers that are packaged with the Eclipse plug-in.